require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "net.fusionapp.core.util.FusionUtil"
import "android.widget.LinearLayout"
import "android.widget.Toast"
import "android.widget.TextView"
import "com.google.android.material.card.MaterialCardView"
import "android.net.Uri"
import "android.content.Intent"
--代码分析包不可删除，且必须放在最前
----------------------------

FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"
function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  --侧滑栏列表的数据是二维结构，所以需要先获取到function()项目所在列表的数据
  local listData = data.get(listIndex);
  --获取到所在列表的数据后获取function()项目的数据
  local itemData = listData.get(itemIndex);
  --最后获取到function()的项目的标题
  local title = itemData.getTitle();
  local event=侧滑栏[title]
  if(event~=nil)then
    event()
  end
end
FusionUtil=luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R=luajava.bindClass "android.R"
menus=activity.viewConfig.toolbar.getMenus()

function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end
function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[0].setIcon("wb_sunny")--图片1
   else
    menus[0].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function onMenuItemClick(title)
  local itemTitle = title
  --夜间模式
  if itemTitle=="夜间模式"then
    if menus[0].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      print("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      print("日间模式")
    end
  end

end

--全局下载跳转浏览器--每个带有下载能力的子页面都要放置
local uiManager=activity.uiManager

function webviewRefresh(index)
  uiManager.getFragment(index).webView.setDownloadListener{
    onDownloadStart=function(url,a,b,c,d)
      activity.startActivity(Intent("android.intent.action.VIEW",Uri.parse(url)))
    end
  }
end
webviewRefresh(0)
uiManager.viewPager.setOnPageChangeListener(luajava.bindClass "androidx.viewpager.widget.ViewPager$OnPageChangeListener"{
  onPageSelected=function(index)
    webviewRefresh(index)
  end
})
