require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "net.fusionapp.core.util.FusionUtil"
import "android.content.Intent"
import "android.net.Uri"



FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"
function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  local listData = data.get(listIndex);
  local itemData = listData.get(itemIndex);
  local title = itemData.getTitle();
  local event=侧滑栏[title]
  if(event~=nil)then
    event()
  end
end
menus=activity.viewConfig.toolbar.getMenus()
function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end
function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[1].setIcon("wb_sunny")--图片1
   else
    menus[1].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function onMenuItemClick(title)
  local itemTitle = title
  if itemTitle=="获取密码"then

    activity.newActivity("web",{"https://afdian.net/order/create?product_type=1&plan_id=3c6355ceb9bb11ed8de65254001e7c00&sku=%5B%7B%22sku_id%22%3A%223c65eda2b9bb11edbfb95254001e7c00%22,%22count%22%3A1%7D%5D"})


  end
  if itemTitle=="刷新"then
    刷新网页()
    print("刷新网页")
  end
  if itemTitle=="夜间模式"then
    if menus[1].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      print("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      print("日间模式")
    end
  end
  if itemTitle=="在浏览器打开"then
    print("已复制链接")
    获取浏览器()
    复制文本(获取网址())
    print("已复制链接")
    import "android.content.Intent"
    import "android.net.Uri"
    url=(获取浏览器().url)
    viewIntent = Intent("android.intent.action.VIEW",Uri.parse(url))
    activity.startActivity(viewIntent)
  end
end

--悬浮按钮
function onFloatingActionButtonClick(v)
  对话框()
  .设置标题("上传链接")
  .设置消息("\n感谢您的参与，请通过邮件方式上传。")
  .设置积极按钮("发邮件",function()
    发送邮件("672812629@qq.com","上传链接","\n名称/类型➊：(蓝奏云/影视/音乐/其他)\n链接：\n名称/类型➋：\n链接：\n名称/类型➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
  end)
  .设置中立按钮("安装邮箱",function()
    加载网页("https://app.mail.qq.com/")
  end)
  .显示()
end

--全局下载跳转浏览器
local uiManager=activity.uiManager
function webviewRefresh(index)
  uiManager.getFragment(index).webView.setDownloadListener{
    onDownloadStart=function(url,a,b,c,d)
      activity.startActivity(Intent("android.intent.action.VIEW",Uri.parse(url)))
    end
  }
end
webviewRefresh(0)
uiManager.viewPager.setOnPageChangeListener(luajava.bindClass "androidx.viewpager.widget.ViewPager$OnPageChangeListener"{
  onPageSelected=function(index)
    webviewRefresh(index)
  end
})

