require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "android.view.WindowManager"
import "android.net.Uri"
import "android.view.View"
import "android.widget.TextView"
import "java.lang.Thread"
import "net.fusionapp.core.util.FusionUtil"
import "com.androlua.Http"
import "android.widget.LinearLayout"
import "android.widget.Toast"
import "android.widget.ScrollView"
import "android.widget.RelativeLayout"
import "com.google.android.material.card.MaterialCardView"
import "android.content.Intent"
import "androidx.cardview.widget.CardView"
import "net.fusionapp.core.ui.fragment.WebInterface"


task(200,function()
  activity.setRequestedOrientation(0)
end)
--隐藏状态栏
uiManager=activity.getUiManager()
local window=activity.getWindow()
window.addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_NAVIGATION)
window.getAttributes().layoutInDisplayCutoutMode=1
--去除状态栏文字---
activity.getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN)




---返回退出
退出=0
function onKeyDown(code,event)
  if string.find(tostring(event),"KEYCODE_BACK") ~= nil then
    if 退出+2 > tonumber(os.time()) then
      activity.finish()--退出页面
     else
      Toast.makeText(activity,"双击返回键退出",Toast.LENGTH_SHORT).show()
      退出=tonumber(os.time())
    end
    return true

  end
end

function print(str)
  local MaterialCardView = luajava.bindClass "com.google.android.material.card.MaterialCardView"
  tip_layout={
    LinearLayout;
    {
      MaterialCardView;
      layout_height="wrap";
      layout_width="wrap";
      radius=20;--圆角
      elevation=0;
      StrokeWidth=0;
      StrokeColor=0x00000000;--阴影
      CardBackgroundColor='#ff424242';--卡片背景;--卡片背景
      layout_marginBottom="24%w";--弹出高度
      {
        LinearLayout;
        layout_height="40%w";--卡片高
        layout_width="120%w";--卡片宽
        gravity='center',--文字重力居中
        {
          TextView;
          id="text";
          textColor='#ffcccccc';--卡片背景;
          textSize="90sp";
        };
      };
    };
  };
  local toast=Toast.makeText(activity,"t",Toast.LENGTH_SHORT).setView(loadlayout(tip_layout))
  text.Text=tostring(str)
  toast.show()
end



local url=...
--获取界面管理器
uiManager=activity.getUiManager()
--获取浏览器控件
webView=uiManager.getCurrentFragment().getWebView()

--加载链接
function 加载链接(url)
  webView.loadUrl(url)
end

function urlDecode(s)
  s=s:gsub("+"," "):gsub('%%(%x%x)',function(h) return string.char(tonumber(h,16)) end)
  return s
end

--设置浏览器监听
local uimanager=activity.uiManager
local fragment=uimanager.currentFragment
fragment.setWebInterface(WebInterface{
  onPageFinished=function(view,url)
    --页面加载结束事件
  end,
  onPageStarted=function(view,u,favicon)
    if urlDecode(u)==url then
      webView.clearHistory()
    end
  end,

  onLoadResource=function(view,url)
    --页面资源加载监听
    --可通过该方法获取网页上的资源
  end,
  onUrlLoad=function(view,url)
    --即将开始加载事件，url参数是即将加载的url
    --该函数返回一个布尔值
    --返回true则拦截本次加载
    return false
  end
})

加载链接(url)


--侧滑栏布局
FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"

function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  --侧滑栏列表的数据是二维结构，所以需要先获取到点击项目所在列表的数据
  local listData = data.get(listIndex);
  --获取到所在列表的数据后获取点击项目的数据
  local itemData = listData.get(itemIndex);
  --最后获取到点击的项目的标题
  local itemTitle = itemData.getTitle();
  if itemTitle == "夜间模式" then
    if itemData.isChecked() then
      switchNightTheme(itemData, false, "Default_Light.json")
     else
      switchNightTheme(itemData, true, "Night.json")
    end
   else
  end
  if itemTitle == "打赏支持" then
    function 浏览器打开(链接)
      import "android.content.Intent"
      import "android.net.Uri"
      viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
      activity.startActivity(viewIntent)
    end
    浏览器打开("https://afdian.net/order/create?user_id=137703deb9b811ed958052540025c377")
  end
  if itemTitle == "加入组织" then
    function 浏览器打开(链接)
      import "android.content.Intent"
      import "android.net.Uri"
      viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
      activity.startActivity(viewIntent)
    end
    浏览器打开("https://pd.qq.com/s/o99ej9ms")
  end
  if itemTitle == "分享" then
    this.uiManager.drawerLayout.closeDrawer(3)
    分享文本("分享老电视","推荐你用【绿色电视】，专业电视台直播，小巧轻便、绿色良心、免费无广告！\n下载地址:\n https://zhiy.cc/page/457")
  end
end

--重新加载当前activity
function recreate()
  activity.finish();
  activity.startFusionActivity(activity.getLoader().getPageName());
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out);
  activity.newActivity("TV",{url})

end

--切换主题和夜间模式
function switchNightTheme(listItemData, isNightMode, newThemeName)
  listItemData.setChecked(isNightMode)
  activity.getLoader().updatePageConfig()
  FusionUtil.changeTheme(activity.getLoader().getProjectDir().getAbsolutePath(), newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function 分享文本(标题,内容)
  intent=Intent(Intent.ACTION_SEND)
  intent.setType("text/plain")
  intent.putExtra(Intent.EXTRA_SUBJECT,"分享")
  intent.putExtra(Intent.EXTRA_TEXT,内容)
  intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
  activity.startActivity(Intent.createChooser(intent,标题))
end

--[[返回清除数据

function onKeyDown(code)
  if code==4 then
    清除数据
    os.execute("pm clear "..activity.getPackageName())
    return true
  end
end

]]


-----------------------左右 换台布局
uiManager=activity.uiManager
local viewPager=uiManager.viewPager
local fltBtn=this.uiManager.getFloatingActionButton()
local uiManager=activity.getUiManager()
local webView=uiManager.getCurrentFragment().getWebView()

webView.addView(
loadlayout(
{
  RelativeLayout; --总体背景卡片
  elevation='0dp';--卡片阴影
  layout_width='fill';--布局宽度
  layout_height='fill';--布局高度
  background='#00000000';--布局背景颜色(或者图片路径)
  {
    TextView;--文本控件
    layout_width='fill';--控件宽度
    layout_height='fill';--控件高度
    textColor=0x00000000;--文字颜色
    id='全屏刷新';--设置控件ID
  };

  --------左侧
  {
    ScrollView,--纵向滑动控件
    layout_width='87dp',--布局宽度
    layout_height='fill',--布局高度
    overScrollMode=View.OVER_SCROLL_NEVER,--隐藏圆弧阴影
    verticalScrollBarEnabled=false,--隐藏纵向滑条
    {
      LinearLayout,--线性布局
      orientation='vertical',--布局方向
      layout_width='fill',--布局宽度
      layout_height='fill',--布局高度
      background=fill;--左侧颜色
      id="左侧",
      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        elevation='0dp';--卡片阴影
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#ff008800',--卡片背景色
        id="刷新",
        {
          TextView,--文本框控件
          text='刷新',--文本内容
          textSize='41sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="湖南卫视",
        {
          TextView,--文本框控件
          text='湖南卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="浙江卫视",
        {
          TextView,--文本框控件
          text='浙江卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="江苏卫视",
        {
          TextView,--文本框控件
          text='江苏卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="东方卫视",
        {
          TextView,--文本框控件
          text='东方卫视',--文本内容

          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="辽宁卫视",
        {
          TextView,--文本框控件
          text='辽宁卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="山东卫视",
        {
          TextView,--文本框控件
          text='山东卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="安徽卫视",
        {
          TextView,--文本框控件
          text='安徽卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="重庆卫视",
        {
          TextView,--文本框控件
          text='重庆卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },

      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="北京卫视",
        {
          TextView,--文本框控件
          text='北京卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="天津卫视",
        {
          TextView,--文本框控件
          text='天津卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };
      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="江西卫视",
        {
          TextView,--文本框控件
          text='江西卫视',--文本内容

          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="黑龙江卫视",
        {
          TextView,--文本框控件
          text='黑龙江台',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="金鹰卡通",
        {
          TextView,--文本框控件
          text='金鹰卡通',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="优漫卡通",
        {
          TextView,--文本框控件
          text='优漫卡通',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="浙江少儿",
        {
          TextView,--文本框控件
          text='浙江少儿',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="云南卫视",
        {
          TextView,--文本框控件
          text='云南卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="四川卫视",
        {
          TextView,--文本框控件
          text='四川卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };
      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="四川康巴",
        {
          TextView,--文本框控件
          text='四川康巴',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="河南卫视",
        {
          TextView,--文本框控件
          text='河南卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="广东卫视",
        {
          TextView,--文本框控件
          text='广东卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="深圳卫视",
        {
          TextView,--文本框控件
          text='深圳卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="东南卫视",
        {
          TextView,--文本框控件
          text='东南卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };
      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="厦门卫视",
        {
          TextView,--文本框控件
          text='厦门卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };


      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="河北卫视",
        {
          TextView,--文本框控件
          text='河北卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="吉林卫视",
        {
          TextView,--文本框控件
          text='吉林卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="广西卫视",
        {
          TextView,--文本框控件
          text='广西卫视',--文本内容

          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="山西卫视",
        {
          TextView,--文本框控件
          text='山西卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="陕西卫视",
        {
          TextView,--文本框控件
          text='陕西卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="内蒙卫视",
        {
          TextView,--文本框控件
          text='内蒙卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="宁夏卫视",
        {
          TextView,--文本框控件
          text='宁夏卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="西藏卫视",
        {
          TextView,--文本框控件
          text='西藏卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };
      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="新疆卫视",
        {
          TextView,--文本框控件
          text='新疆卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="甘肃卫视",
        {
          TextView,--文本框控件
          text='甘肃卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="海南卫视",
        {
          TextView,--文本框控件
          text='海南卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="贵州卫视",
        {
          TextView,--文本框控件
          text='贵州卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="青海卫视",
        {
          TextView,--文本框控件
          text='青海卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };

      {
        CardView,--卡片框控件
        layout_margin='1dp',--布局边距
        layout_width='100%w',--布局宽度
        cardBackgroundColor='#FF424242',--卡片背景色
        id="兵团卫视",
        {
          TextView,--文本框控件
          text='兵团卫视',--文本内容
          gravity="center",
          textSize='21sp',--文本大小
          textColor='#ffcccccc', --文本颜色
        },
      };



    },--卡片 结束
  },--纵向滑动控件 结束

  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_marginLeft='22.4%w';--布局左距
    gravity="center",--重力居底｜置中
    {
      CardView,--卡片框控件
      elevation='0dp';--卡片阴影
      layout_width='50%w',--布局宽度
      layout_height='130%w',--布局高度
      cardBackgroundColor='#00000000',--卡片背景色
      layout_marginTop='24.5%w';--布局顶距


      id="打开侧滑栏",
      {
        TextView,--文本框控件
        text='打开侧滑栏',--文本内容
        gravity="center",
        textSize='100sp',--文本大小
        textColor='#00000000',--文本颜色
      },
    };
  },

  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_marginLeft='123.4%w';--布局左距
    gravity="center",--重力居底｜置中
    {
      CardView,--卡片框控件
      elevation='0dp';--卡片阴影
      layout_width='25%w',--布局宽度
      layout_height='12%w',--布局高度
      cardBackgroundColor='#00000000',--卡片背景色
      layout_marginTop='50.5%w';--布局顶距


      id="遮挡中间",
      {
        TextView,--文本框控件
        text='遮挡中间',--文本内容
        gravity="center",
        textSize='100sp',--文本大小
        textColor='#00000000',--文本颜色
      },
    };
  },

  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_marginLeft='22.4%w';--布局左距
    gravity="center",--重力居底｜置中
    {
      CardView,--卡片框控件
      elevation='0dp';--卡片阴影
      layout_width='152.5%w',--布局宽度
      layout_height='10%w',--布局高度
      cardBackgroundColor='#00000000',--卡片背景色
      layout_marginTop='92.5%w';--布局顶距


      id="遮挡进度条",
      {
        TextView,--文本框控件
        text='遮挡进度条',--文本内容
        gravity="center",
        textSize='700sp',--文本大小
        textColor='#00000000',--文本颜色
      },
    };

  },










  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_width='fill',--布局宽度
    layout_height='fill',--布局高度
    gravity="center",--重力居底｜置中
    layout_marginTop='fill';--布局顶距

    {
      CardView,--卡片框控件
      elevation='0dp';--卡片阴影
      layout_width='25%w',--布局宽度
      layout_height='100%w',--布局高度
      layout_marginLeft='76.4%w';--布局左距
      cardBackgroundColor='#00000000',--卡片背景色
      id="遮挡全屏按钮",
      {
        TextView,--文本框控件
        text='遮挡全屏按钮',--文本内容
        textSize='10sp',--文本大小
        textColor='#00000000',--文本颜色
      },
    };


  },

  --右侧
  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_width='fill',--布局宽度
    layout_height='fill',--布局高度
    elevation='0dp';--卡片阴影
    gravity="right",--重力
    id="右侧",
    {
      ScrollView,--纵向滑动控件
      overScrollMode=View.OVER_SCROLL_NEVER,--隐藏圆弧阴影
      verticalScrollBarEnabled=false,--隐藏纵向滑条
      {
        CardView,--卡片框控件
        layout_width='87dp',--布局宽度
        layout_height='100%w',--布局高度
        elevation='0dp';--卡片阴影
        cardBackgroundColor='#00000000',--卡片背景色
        --右侧
        {
          LinearLayout,--线性布局
          orientation='vertical',--布局方向
          layout_width='fill',--布局宽度
          layout_height='fill',--布局高度

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            elevation='0dp';--卡片阴影
            layout_width='100%w',--布局宽度
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#ff880000',--卡片背景色
            id="反馈",
            {
              TextView,--文本框控件
              text='反馈',--文本内容
              gravity="center",
              textSize='42sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

    

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV1",
            {
              TextView,--文本框控件
              text='CCTV-1  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV2",
            {
              TextView,--文本框控件
              text='CCTV-2  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV3",
            {
              TextView,--文本框控件
              text='CCTV-3  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV4",
            {
              TextView,--文本框控件
              text='CCTV-4  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV5",
            {
              TextView,--文本框控件
              text='CCTV-5  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV52",
            {
              TextView,--文本框控件
              text='CCTV-5+',--文本内容
              gravity="center",
              textSize='20.5sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV6",
            {
              TextView,--文本框控件
              text='CCTV-6  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV7",
            {
              TextView,--文本框控件
              text='CCTV-7  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV8",
            {
              TextView,--文本框控件
              text='CCTV-8  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV9",
            {
              TextView,--文本框控件
              text='CCTV-9  ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV10",
            {
              TextView,--文本框控件
              text='CCTV-10',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV11",
            {
              TextView,--文本框控件
              text='CCTV-11 ',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV12",
            {
              TextView,--文本框控件
              text='CCTV-12',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV13",
            {
              TextView,--文本框控件
              text='CCTV-13',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV14",
            {
              TextView,--文本框控件
              text='CCTV-14',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV15",
            {
              TextView,--文本框控件
              text='CCTV-15',--文本内容
              gravity="center",
              textSize='21sp',--文本大小
              textColor='#ffcccccc', --文本颜色
            },
          };

     

          {
            CardView,--卡片框控件
            layout_margin='1dp',--布局边距
            layout_width='100%w',--布局宽度
            cardBackgroundColor='#FF424242',--卡片背景色
            id="CCTV17",
            {
              TextView,--文本框控件
              text='CCTV-17 ',--文本内容
              gravity="center",
              textSize='21sp',
              textColor='#ffcccccc', --文本颜色
            },
          };


        },--卡片框控件 结束
      },
    },--纵向滑动控件 结束
  },--线性布局 结束
}--卡片布局 结束
))--相对布局 结束

左侧.setVisibility(View.GONE)
--隐藏控件
右侧.setVisibility(View.GONE)
task(500,function()

  左侧.setVisibility(View.VISIBLE)
  --显示控件
  右侧.setVisibility(View.VISIBLE)
  --显示控件
end)

--------------获取微云直播源
Http.get("https://share.weiyun.com/lbEZfON4",nil,nil,nil,function(code,content)
  if not activity.isFinishing() then
    local content=content:match("ql%-blank\"><p>(.-)</p></div></div></article>"):gsub("\\\\","&revs;"):gsub("\\n","\n"):gsub("&nbsp;"," "):gsub("&lt;","<"):gsub("&gt;",">"):gsub("&quot;","\""):gsub("&apos;","'"):gsub("&revs;","\\"):gsub("&amp;","&"):gsub("</p><p>","\n"):gsub("<br  />",""):gsub("】\n","】"):gsub("\n【","【")
    首页=content:match("【首页】(.-)【首页】")
    山东=content:match("【山东】(.-)【山东】")
    湖南=content:match("【湖南】(.-)【湖南】")
    浙江=content:match("【浙江】(.-)【浙江】")
    江苏=content:match("【江苏】(.-)【江苏】")
    东方=content:match("【东方】(.-)【东方】")
    辽宁=content:match("【辽宁】(.-)【辽宁】")
    安徽卫视=content:match("【安徽卫视】(.-)【安徽卫视】")
    重庆卫视=content:match("【重庆卫视】(.-)【重庆卫视】")
    北京卫视=content:match("【北京卫视】(.-)【北京卫视】")
    天津卫视=content:match("【天津卫视】(.-)【天津卫视】")
    江西卫视=content:match("【江西卫视】(.-)【江西卫视】")
    黑龙江卫视=content:match("【黑龙江卫视】(.-)【黑龙江卫视】")
    云南卫视=content:match("【云南卫视】(.-)【云南卫视】")
    四川卫视=content:match("【四川卫视】(.-)【四川卫视】")
    四川康巴卫视=content:match("【四川康巴卫视】(.-)【四川康巴卫视】")
    河南卫视=content:match("【河南卫视】(.-)【河南卫视】")
    广东卫视=content:match("【广东卫视】(.-)【广东卫视】")
    深圳卫视=content:match("【深圳卫视】(.-)【深圳卫视】")
    东南卫视=content:match("【东南卫视】(.-)【东南卫视】")
    厦门卫视=content:match("【厦门卫视】(.-)【厦门卫视】")
    金鹰卡通=content:match("【金鹰卡通】(.-)【金鹰卡通】")
    河北卫视=content:match("【河北卫视】(.-)【河北卫视】")
    大湾区=content:match("【大湾区】(.-)【大湾区】")
    吉林卫视=content:match("【吉林卫视】(.-)【吉林卫视】")
    广西卫视=content:match("【广西卫视】(.-)【广西卫视】")
    山西卫视=content:match("【山西卫视】(.-)【山西卫视】")
    陕西卫视=content:match("【陕西卫视】(.-)【陕西卫视】")
    内蒙古卫视=content:match("【内蒙古卫视】(.-)【内蒙古卫视】")
    宁夏卫视=content:match("【宁夏卫视】(.-)【宁夏卫视】")
    西藏卫视=content:match("【西藏卫视】(.-)【西藏卫视】")
    新疆卫视=content:match("【新疆卫视】(.-)【新疆卫视】")
    甘肃卫视=content:match("【甘肃卫视】(.-)【甘肃卫视】")
    海南卫视=content:match("【海南卫视】(.-)【海南卫视】")
    贵州卫视=content:match("【贵州卫视】(.-)【贵州卫视】")
    青海卫视=content:match("【青海卫视】(.-)【青海卫视】")
    兵团卫视=content:match("【兵团卫视】(.-)【兵团卫视】")
    浙江少儿=content:match("【浙江少儿】(.-)【浙江少儿】")
    优漫卡通=content:match("【优漫卡通】(.-)【优漫卡通】")
    CCTV1=content:match("【CCTV1】(.-)【CCTV1】")
    CCTV2=content:match("【CCTV2】(.-)【CCTV2】")
    CCTV3=content:match("【CCTV3】(.-)【CCTV3】")
    CCTV4=content:match("【CCTV4】(.-)【CCTV4】")
    CCTV5=content:match("【CCTV5】(.-)【CCTV5】")
    CCTV52=content:match("【CCTV52】(.-)【CCTV52】")
    CCTV6=content:match("【CCTV6】(.-)【CCTV6】")
    CCTV7=content:match("【CCTV7】(.-)【CCTV7】")
    CCTV8=content:match("【CCTV8】(.-)【CCTV8】")
    CCTV9=content:match("【CCTV9】(.-)【CCTV9】")
    CCTV10=content:match("【CCTV10】(.-)【CCTV10】")
    CCTV11=content:match("【CCTV11】(.-)【CCTV11】")
    CCTV12=content:match("【CCTV12】(.-)【CCTV12】")
    CCTV13=content:match("【CCTV13】(.-)【CCTV13】")
    CCTV14=content:match("【CCTV14】(.-)【CCTV14】")
    CCTV15=content:match("【CCTV15】(.-)【CCTV15】")
    CCTV17=content:match("【CCTV17】(.-)【CCTV17】")

  end
end)


----------------防止视频画面卡住
function 刷新时分秒()
  全屏刷新.setText(os.date("%H:%M:%S"))--获取当前系统时间
end

function 刷新啊()
  require "import"
  while true do--执行循环命令
    Thread.sleep(14)--延迟执行
    call("刷新时分秒")
  end
end
thread(刷新啊)

遮挡进度条.onClick=function()

end

打开侧滑栏.onClick=function()
  if SetHSP==nil then
    左侧.setVisibility(View.GONE)
    --隐藏控件
    右侧.setVisibility(View.GONE)
    --隐藏控件
    弹出消息("隐藏频道")
    SetHSP="H"
   else
    左侧.setVisibility(View.VISIBLE)
    --显示控件
    右侧.setVisibility(View.VISIBLE)
    --显示控件
    弹出消息("显示频道")
    SetHSP=nil
  end
end

遮挡中间.onClick=function()

end


刷新.onClick=function()
  activity.finish()
  activity.newActivity("TV",{url})

end


反馈.onClick=function()
  联系QQ(672812629)

end

遮挡全屏按钮.onClick=function()
  if SetHSP==nil then
    左侧.setVisibility(View.GONE)
    --隐藏控件
    右侧.setVisibility(View.GONE)
    --隐藏控件
    弹出消息("隐藏频道")
    SetHSP="H"
   else
    左侧.setVisibility(View.VISIBLE)
    --显示控件
    右侧.setVisibility(View.VISIBLE)
    --显示控件
    弹出消息("显示频道")
    SetHSP=nil
  end
end




CCTV1.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV1})
  print("CCTV-1")
end

CCTV2.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV2})
  print("CCTV-2")
end

CCTV3.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV3})
  print("CCTV-3")
end

CCTV4.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV4})
  print("CCTV-4")
end



CCTV5.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV5})
  print("CCTV-5")
end

CCTV52.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV52})
  print("CCTV-5+")
end

CCTV6.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV6})
  print("CCTV-6")
end

CCTV15.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV15})
  print("CCTV-15")
end

CCTV14.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV14})
  print("CCTV-14")
end

CCTV13.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV13})
  print("CCTV-13")
end

CCTV12.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV12})
  print("CCTV-12")
end

CCTV11.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV11})
  print("CCTV-11")
end

CCTV10.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV10})
  print("CCTV-10")
end

CCTV9.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV9})
  print("CCTV-9")
end

CCTV8.onClick=function()

  activity.finish()
  activity.newActivity("TV",{CCTV8})
  print("CCTV-8")
end

CCTV7.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV7})
  print("CCTV-7")
end
CCTV17.onClick=function()
  activity.finish()
  activity.newActivity("TV",{CCTV17})
  print("CCTV-17")
end

山东卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{山东})
  print("山东卫视")
end

湖南卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{湖南})
  print("湖南卫视")
end

浙江卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{浙江})
  print("浙江卫视")
end

江苏卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{江苏})
  print("江苏卫视")
end

东方卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{东方})
  print("东方卫视")
end

辽宁卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{辽宁})
  print("辽宁卫视")
end

安徽卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{安徽卫视})
  print("安徽卫视")
end

重庆卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{重庆卫视})
  print("重庆卫视")
end


北京卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{北京卫视})
  print("北京卫视")
end

天津卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{天津卫视})
  print("天津卫视")
end

江西卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{江西卫视})
  print("江西卫视")
end

黑龙江卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{黑龙江卫视})
  print("黑龙江卫视")
end

云南卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{云南卫视})
  print("云南卫视")
end


四川卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{四川卫视})
  print("四川卫视")
end

四川康巴.onClick=function()
  activity.finish()
  activity.newActivity("TV",{四川康巴卫视})
  print("四川康巴")
end

河南卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{河南卫视})
  print("河南卫视")
end


广东卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{广东卫视})
  print("广东卫视")
end

深圳卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{深圳卫视})
  print("深圳卫视")
end

东南卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{东南卫视})
  print("东南卫视")
end

厦门卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{厦门卫视})
  print("厦门卫视")
end

金鹰卡通.onClick=function()
  activity.finish()
  activity.newActivity("TV",{金鹰卡通})
  print("金鹰卡通")
end

河北卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{河北卫视})
  print("河北卫视")
end

吉林卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{吉林卫视})
  print("吉林卫视")
end

广西卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{广西卫视})
  print("广西卫视")
end

山西卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{山西卫视})
  print("山西卫视")
end

陕西卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{陕西卫视})
  print("陕西卫视")
end

内蒙卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{内蒙古卫视})
  print("内蒙卫视")
end

宁夏卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{宁夏卫视})
  print("宁夏卫视")
end

西藏卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{西藏卫视})
  print("西藏卫视")
end

新疆卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{新疆卫视})
  print("新疆卫视")
end

甘肃卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{甘肃卫视})
  print("甘肃卫视")
end

海南卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{海南卫视})
  print("海南卫视")
end


贵州卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{贵州卫视})
  print("贵州卫视")
end

青海卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{青海卫视})
  print("青海卫视")
end

兵团卫视.onClick=function()
  activity.finish()
  activity.newActivity("TV",{兵团卫视})
  print("兵团卫视")
end

浙江少儿.onClick=function()
  activity.finish()
  activity.newActivity("TV",{浙江少儿})
  print("浙江少儿")
end

优漫卡通.onClick=function()
  activity.finish()
  activity.newActivity("TV",{优漫卡通})
  print("优漫卡通")
end
