require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "net.fusionapp.core.util.FusionUtil"
import "android.widget.LinearLayout"
import "android.widget.Toast"
import "android.widget.TextView"
import "com.google.android.material.card.MaterialCardView"
import "android.net.Uri"
import "android.content.Intent"

----------------------------
local uiManager=activity.uiManager
function webviewRefresh(index)
  uiManager.getFragment(index).webView.setDownloadListener{
    onDownloadStart=function(url,a,b,c,d)
      activity.startActivity(Intent("android.intent.action.VIEW",Uri.parse(url)))
    end
  }
end
webviewRefresh(0)
uiManager.viewPager.setOnPageChangeListener(luajava.bindClass "androidx.viewpager.widget.ViewPager$OnPageChangeListener"{
  onPageSelected=function(index)
    webviewRefresh(index)
  end
})

function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  --侧滑栏列表的数据是二维结构，所以需要先获取到点击项目所在列表的数据
  local listData = data.get(listIndex);
  --获取到所在列表的数据后获取点击项目的数据
  local itemData = listData.get(itemIndex);
  --最后获取到点击的项目的标题
  local itemTitle = itemData.getTitle();
  if itemTitle == "软件" then
    activity.newActivity("CangKu")
  end
  if itemTitle == "影视" then
    activity.newActivity("Video")
  end
  if itemTitle == "电视" then
    activity.newActivity("TV")
  end
  if itemTitle == "音乐" then
    activity.newActivity("Music")
  end
  if itemTitle == "漫画" then
    activity.newActivity("MH")
  end
  if itemTitle == "小说" then
    activity.newActivity("TXT")
  end
  if itemTitle == "加入组织" then
    activity.newActivity("web",{"https://pd.qq.com/s/4mag9w84t"})
  end
  if itemTitle == "打赏支持" then
    activity.newActivity("web",{"https://afdian.net/order/create?user_id=137703deb9b811ed958052540025c377"})
  end
  if itemTitle == "短视频" then
    activity.newActivity("XJJ")
  end

  if itemTitle == "检查更新" then


    当前版本 = this.getPackageManager().getPackageInfo(this.getPackageName(),64).versionName
    弹出消息("获取更新..")
    Http.get("https://share.weiyun.com/XzW07P1k",nil,nil,nil,function(code,content)
      if not activity.isFinishing() then
        if code==200 then
          local content=content:match("ql%-blank\"><p>(.-)</p></div></div></article>"):gsub("\\\\","&revs;"):gsub("\\n","\n"):gsub("&nbsp;"," "):gsub("&lt;","<"):gsub("&gt;",">"):gsub("&quot;","\""):gsub("&apos;","'"):gsub("&revs;","\\"):gsub("&amp;","&"):gsub("</p><p>","\n"):gsub("<br  />",""):gsub("】\n","】"):gsub("\n【","【")
          最新版本=content:match("【最新版本】(.-)【最新版本】")
          更新内容=content:match("【更新内容】(.-)【更新内容】")
          if 最新版本==当前版本 then
            当前版本 = this.getPackageManager().getPackageInfo(this.getPackageName(),64).versionName
            print("当前",(当前版本),"已是最新！")
           else
            对话框()
            .设置标题("发现新版本")
            .设置消息((更新内容))
            .设置积极按钮("下载",function()
              activity.newActivity("web",{"https://wwmq.lanzouc.com/b0eluppwd"})
            end)
            .setCancelable(false)
            .设置中立按钮("忽略")
            .显示()
          end
         else
          弹出消息("检查更新失败")
        end
      end
    end)

  end
  if itemTitle == "   " then
    activity.newActivity("MMJD")
  end





end




FusionUtil=luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R=luajava.bindClass "android.R"
menus=activity.viewConfig.toolbar.getMenus()

function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end

function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[1].setIcon("wb_sunny")--图片1
   else
    menus[1].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function onMenuItemClick(title)
  local itemTitle = title
  --夜间模式
  if itemTitle=="夜间模式"then
    if menus[1].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      print("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      print("日间模式")
    end
  end
  if itemTitle=="获取密码"then
    activity.newActivity("web",{"https://afdian.net/order/create?product_type=1&plan_id=3c6355ceb9bb11ed8de65254001e7c00&sku=%5B%7B%22sku_id%22%3A%223c65eda2b9bb11edbfb95254001e7c00%22,%22count%22%3A1%7D%5D"})

  end

end



import "net.fusionapp.core.ui.fragment.WebInterface"
local uimanager=activity.uiManager
local fragment=uimanager.currentFragment
fragment.setWebInterface(WebInterface{
  onReceivedSslError=function(view, sslErrorHandler, sslError)
    --ssl证书错误自动处理
    import"com.google.android.material.dialog.MaterialAlertDialogBuilder"
    onClick=function()
    end
    return true
  end
})
